Subject: Re: bug#6602: [PATCH] make dist target for Windows

From: Juanma Barranquero <[email-masked]>
Date: Thu, 22 Jul 2010 12:01:50 +0200

On Thu, Jul 22, 2010 at 11:19, Juanma Barranquero <[email-masked]> wrote:

> I've you can send again the patch with ChangeLog entries, I'll be
> happy to install it.

A few questions:

> Main changes:
>
> - new parameter for configure.bat to provide path to distribution files, for example libXpm.dll

Perhaps you could mention in the docs that it accepts wildcards (at
least, it worked for me once I switched from backslashes to forward
slashes on the argument).

> - README.W32 relocated to nt/ directory (from admin/nt)

AFAICS, you've copied it, not relocated it. admin/nt/README.W32 still exists.

> - makefile.w32-in contains new target install-shortcuts to invoke addpm, so no short cuts are created when packaging

I like this change because I will be able to use "make install-bin"
and bypass addpm altogether. Great. :-)

> - new file zipdist.bat in nt/ which replaces makedist.bat from admin/nt. zipdist invokes 7zip to create the zipped binary distributions and verifies integrity.

Does make sense to keep admin/nt/makedist.bat?

    Juanma